/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ISegment } from "./mergeTree";
export declare class TrackingGroup {
    private readonly segmentSet;
    constructor();
    get segments(): readonly ISegment[];
    get size(): number;
    has(segment: ISegment): boolean;
    link(segment: ISegment): void;
    unlink(segment: ISegment): void;
}
export declare class TrackingGroupCollection {
    private readonly segment;
    readonly trackingGroups: Set<TrackingGroup>;
    constructor(segment: ISegment);
    link(trackingGroup: TrackingGroup): void;
    unlink(trackingGroup: TrackingGroup): void;
    copyTo(segment: ISegment): void;
    get empty(): boolean;
    matches(trackingCollection: TrackingGroupCollection): boolean;
}
//# sourceMappingURL=mergeTreeTracking.d.ts.map